import request from '@/utils/request'

// 查询用户银行卡列表
export function listAccountBankcard(query) {
  return request({
    url: '/cai/accountBankcard/list',
    method: 'get',
    params: query
  })
}

// 查询用户银行卡详细
export function getAccountBankcard(id) {
  return request({
    url: '/cai/accountBankcard/' + id,
    method: 'get'
  })
}

// 新增用户银行卡
export function addAccountBankcard(data) {
  return request({
    url: '/cai/accountBankcard',
    method: 'post',
    data: data
  })
}

// 修改用户银行卡
export function updateAccountBankcard(data) {
  return request({
    url: '/cai/accountBankcard',
    method: 'put',
    data: data
  })
}

// 删除用户银行卡
export function delAccountBankcard(id) {
  return request({
    url: '/cai/accountBankcard/' + id,
    method: 'delete'
  })
}
